#include "CCmds.h"

#ifndef _CSOCKET_
#define _CSOCKET_

class CSocket : public CCmds
{
public:
	SOCKET s;
	bool bAuthed;
	bool bEventMode;
	bool bUnicode;

	CSocket() { bAuthed = false; bEventMode = false; bUnicode = false; }
	void DoPrint(wstring wscText);
	wstring GetAdminName();
};


#endif
